include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeinepart (shared)

tde_add_library( kaffeinepart SHARED AUTOMOC

  SOURCES
        kaffeinepart.cpp
        mrl.cpp
        playlistimport.cpp
  LINK
     tdeui-shared
     tdecore-shared
     tdeio-shared
     tdeparts-shared

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES kaffeinepart.h mrl.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)
